open(BASE,"<:encoding(utf8)",$ARGV[0]);
open(TAG,"<:encoding(utf8)",$ARGV[1]);
my $output=$ARGV[0]."-tag.txt";
open(OUT,">:encoding(utf8)",$output);

while(my $ligne=<BASE>) {
	#$ligne=~s/^\x{FEFF}//;
	$ligne=~ s/^\N{U+FEFF}//g;
	chomp($ligne);
	$ligne=~s/\r//g;
	if ($ligne=~/^[0-9]+\tdelim\t $/) {
		my $forme=" ";
		#my $lignetag=<TAG>;
		$ligne.="\tDELIM\tDELIM";
		print OUT $ligne,"\n";
	}
	elsif ($ligne=~/^[0-9]+\tdelim\t([^ ]+)$/) {
		my $forme=$1;
		my $lignetag=<TAG>;
		$ligne.="\tDELIM\tDELIM";
		print OUT $ligne,"\n";
	}
	elsif ($ligne=~/^[0-9]+\t[^\t]+\t[^\t]+$/) {
		$ligne=~/^([^\t]+)\t([^\t]+)\t([^\t]+)$/;
		my $num=$1;
		my $type=$2;
		my $forme=$3;
		my $lignetag=<TAG>;
		chomp($lignetag);
		$lignetag=~s/\r//g;
		$lignetag=~/^[^\t]+\t([^\t]+)\t([^\t]+)$/;
		my $lemmOK=$2;
		my $catOK=$1;
		$forme=~s/\"/\&quot;/g; #il faut modifier les guillemets...
		$lemmOK=~s/\"/\&quot;/g;
		$forme=~s/\'/\&apos;/g; #il faut modifier les apos...
		$lemmOK=~s/\'/\&apos;/g;
		$forme=~s/_/ /g; #il faut modifier les "vides"...
		$lemmOK=~s/_/ /g;
		print OUT "$num\t$type\t$forme\t$catOK\t$lemmOK\n";
	}
	else {
		print OUT $ligne,"\n";
	}
}

close(BASE);
close(TAG);
close(OUT);